From 869595b958e80f8c05b823c0df514d3decbe6686 Mon Sep 17 00:00:00 2001
From: Christian Ruppert <idl0r@gentoo.org>
Date: Thu, 16 Sep 2010 13:04:25 +0200
Subject: [PATCH] Don't colorize 'svn mkdir', bug 321451. Use IPC::open2 instead of open3 to avoid using STDERR, bug 326279.

---
 colorsvn-original |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/colorsvn-original b/colorsvn-original
index 01d7be3..46f105b 100644
--- a/colorsvn-original
+++ b/colorsvn-original
@@ -56,7 +56,7 @@
 # Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.
 
 use Term::ANSIColor;
-use IPC::Open3;
+use IPC::Open2;
 
 use strict;
 use warnings;
@@ -115,7 +115,7 @@ our %commandmap = ( "add" => ["add"],
 					);
 					
 # never colorize this commands
-our @preventcolor = ("commit", "help", "import", "lock", "switch", "propedit", "resolved", "revert", "unlock");
+our @preventcolor = ("commit", "help", "import", "lock", "switch", "propedit", "resolved", "revert", "unlock", "mkdir");
 					
 #
 # set default values
@@ -331,7 +331,7 @@ if (! -t STDOUT || $commit == 1 || !$colortty{$terminal} || !$commresolved )
 
 # Keep the pid of the svn process so we can get its return
 # code and use that as our return code.
-my $svn_pid = open3('<&STDIN', \*SVNOUT, \*SVNOUT, $svnPath, @ARGV);
+my $svn_pid = open2(\*SVNOUT, '<&STDIN', $svnPath, @ARGV);
 my $svnName = $svnPath;
 $svnName =~ s,.*/(.*)$,$1,;
 
-- 
1.7.2.2

